<?php
// Load PHPMailer classes
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';
require 'PHPMailer/src/Exception.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

$response = array();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $name = $_POST['name'];
    $email = $_POST['email'];
    $message = $_POST['message'];

    if (empty($name) || empty($email) || empty($message)) {
        $response['status'] = 'error';
        $response['message'] = 'All fields are required.';
    } else {
        // Initialize PHPMailer
        $mail = new PHPMailer(true);
        try {
            // SMTP configuration
            $mail->isSMTP();
            $mail->Host       = 'popeyesalon.in';
            $mail->SMTPAuth   = true;
            $mail->Username   = 'contact@popeyesalon.in';
            $mail->Password   = 'psk3QB2SA%4r';
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
            $mail->Port       = 465;

            // Email sender and recipient
            $mail->setFrom('contact@popeyesalon.in', 'Blazers.io');
            $mail->addAddress('ersaran1@gmail.com', 'Saravanan');

            // Email content
            $mail->isHTML(true);
            $mail->Subject = 'New Enquiry from ' . $name;
            $mail->Body    = '<p>You have received a new enquiry:</p>';
            $mail->Body    .= '<p><b>Name:</b> ' . $name . '</p>';
            $mail->Body    .= '<p><b>Email:</b> ' . $email . '</p>';
            $mail->Body    .= '<p><b>Message:</b> ' . nl2br($message) . '</p>';
            $mail->AltBody = 'You have received a new enquiry: Name: ' . $name . ', Email: ' . $email . ', Message: ' . $message;

            // Send email
            $mail->send();

            $response['status'] = 'success';
            $response['message'] = 'Your enquiry has been sent successfully!';
        } catch (Exception $e) {
            $response['status'] = 'error';
            $response['message'] = 'Message could not be sent. Mailer Error: ' . $mail->ErrorInfo;
        }
    }
} else {
    $response['status'] = 'error';
    $response['message'] = 'Invalid request.';
}

echo json_encode($response);
?>
